LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking > Linux - Wireless Networking
User Name
Password
Linux - Wireless Networking This forum is for the discussion of wireless networking in Linux.

Notices

Reply
 
Search this Thread
Old 02-19-2006, 02:39 PM   #1
berserker-ky
LQ Newbie
 
Registered: Dec 2005
Posts: 2

Rep: Reputation: 0
error:25066067:DSO support routines :DLFCN_LOAD:could not load the shared library


SSL:Failed to initialize TLS Context.
System
Fedora Core 4, Thinkpad T20 and D-Link AirPlus DWL-G650.
Upgraded the kernel to 2.6.15-1.1831FC4 and then madwifi-0.9.6.0-18.rhfc4.at.i386 and wpa_supplicant-0.4.8-10.rhfc4.at.i386 and I can not run wpa_supplicant -B -i ath0 -c/etc/wpa_supplicant.conf -Dmadwifi
Everything was working under the previous release of the madwifi code and wpa_supplicant.
If I try to remake the driver, the message is Makefile.inc:113: *** KERNELPATH: does not exist. Stop.
I am assuming that I have a problem with the kernel, however I can still run iwlist ath0 scan and I find my ap plus the others in the area. So it appears that the card is partially working. If I take down the eth0 interface, activate the wireless, then restart the network, I can not ping any of the devices on the network.
Not sure where to go from this point.
Thanks.
 
Old 02-20-2006, 11:20 PM   #2
berserker-ky
LQ Newbie
 
Registered: Dec 2005
Posts: 2

Original Poster
Rep: Reputation: 0
SOLVED!
First I needed to get the source files for the kernel and ran make, make install from /root/madwifi which worked. Tried the script to restart the network, bring up ath0 and bind to the ap, which did not work. Still received the original post message. This led me to some additional research where I discovered this message references a problem with the opensc.i386 0.9.4-5rhfc4.at. I ran the yum list opensc which gave me the binaries I needed. Then ran yum install opensc to install the necessary files. Once this was done I performed a shutdown and restarted. I was able to run the script without an error, and ran wpa_cli to see what was happening. At this point I observed the following messages.
<2>Associated with xx:xx:xx:xx:xx:xx
<2>WPA: 4-Way Handshake failed - pre-shared key may be incorrect
<2>CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
.
.
.
This message repeated several times, connect, disconnect,......
So, I re-ran wpa_passphrase essid passphrase and copied the output to the wpa_supplicant.conf file. Reconnected and received the same messages. Did not work....
Checked the wpa_supplicant file, and discovered I had changed the eapol_version=x from the default of 1 to a 2 which is used for wpa_supplicant based on IEEE 802-1X-REV-d8. This specification is not used on all AP's. Changed my listing back to the default of 1 and SUCCESS!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
error while loading shared library bonniehandi Linux - Newbie 2 11-19-2005 12:43 AM
Can't active Library routines CRC32 in fedora 4 smashhead Linux - Wireless Networking 0 08-07-2005 01:20 AM
Shared library error olscratch Slackware 3 11-05-2004 04:46 PM
my slack can't load shared library AnhTuan Slackware 6 10-03-2004 10:27 AM
shared object library won't load (libstdc++) sleepylight Linux - General 4 04-27-2004 05:24 PM


All times are GMT -5. The time now is 06:23 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration